
Redmine - Patch #2367

show view/annotate/download link on repositories/entries and repositories/annotate view

2008-12-20 14:35 - Go MAEDA

Status: Closed Start date: 2008-12-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8.1   

Description

If I enter repositories/entry view by clicking by file name on repositories/revision view, I cannot move to repositories/annotate view

directly and I always get frustrated.

This patch adds view/annotate/download link like same as repositories/changes.

Associated revisions

Revision 2167 - 2008-12-22 21:33 - Jean-Philippe Lang

Show view/annotate/download links on repositories/entries and repositories/annotate views (#2367).

Revision 2188 - 2008-12-27 19:10 - Jean-Philippe Lang

Do not show a link to the current annotate or view page (#2367).

History

#1 - 2008-12-22 20:57 - Mischa The Evil

- File link_to_view_and_annotate_corrected-r2157.diff added

Simple but very useful improvement... :thumbsup:

Though, your patch misses the new partial (app/views/repositories/_link_to_functions.rhtml). I'll upload a corrected patch-file against r2157 of the

trunk.

#2 - 2008-12-22 21:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8.1

Very usefull indeed, it's committed in r2167.

Thanks.

#3 - 2008-12-23 04:10 - Go MAEDA

- File _link_to_functions.rhtml added

- File screenshot.png added

- Status changed from Closed to Reopened

Oh, I mistook to make patch. Thanks the new patch. And thank for JP's quick work.

But the partial I made is a little bit difrerent from it. Using 'link_to_if' instead of 'link_to', not to make link to same view. It helpful to avoid confusing

novice user. Please see attached image.

#4 - 2008-12-23 07:55 - Mischa The Evil

Go MAEDA wrote:

File _link_to_functions.rhtml added

But the partial I made is a little bit difrerent from it. Using 'link_to_if' instead of 'link_to', not to make link to same view. It helpful to avoid confusing

novice user.

 Indeed, that looks even better especially and probably for the novice Redmine user. Doesn't make much sense indeed to provide a link to the actual
current view... Thanks for letting know about this difference...

#5 - 2008-12-27 19:09 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Change committed in r2188. Thanks Go.

Files

link_to_view_and_annotate.diff 2.6 KB 2008-12-20 Go MAEDA

link_to_view_and_annotate_corrected-r2157.diff 3.48 KB 2008-12-22 Mischa The Evil

_link_to_functions.rhtml 634 Bytes 2008-12-23 Go MAEDA

screenshot.png 22.7 KB 2008-12-23 Go MAEDA
